WordPress.org

Make WordPress Themes

Opened 4 months ago

Closed 4 months ago

Last modified 3 months ago

#45866 closed theme (not-approved)

THEME: Qusq Lite – 1.0

Reported by: ishyoboy Owned by: poena
Priority: new theme Keywords: theme-qusq-lite
Cc: hello@…

Description

Qusq Lite - 1.0

Qusq Lite is a unique colourful portfolio theme, perfectly suitable for designers, freelancers & all kind of artist who want to show off their creative work with style. It covers all the necessary pages such a portfolio website might need.

Theme URL - http://ishyoboy.com/themes/
Author URL - http://ishyoboy.com/

Trac Browser - https://themes.trac.wordpress.org/browser/qusq-lite/1.0

SVN - https://themes.svn.wordpress.org/qusq-lite/1.0
ZIP - https://wordpress.org/themes/download/qusq-lite.1.0.zip?nostats=1

History:

Ticket Summary Status Resolution Owner
#45866 THEME: Qusq Lite – 1.0 closed not-approved poena

(this ticket)

#46939 THEME: Qusq Lite – 1.0.4 reviewing scorpionthemes


https://themes.svn.wordpress.org/qusq-lite/1.0/screenshot.jpg

Attachments (1)

qusq_lite.zip (921.3 KB) - added by ishyoboy 3 months ago.

Download all attachments as: .zip

Change History (4)

#1 @poena
4 months ago

  • Owner set to poena
  • Status changed from new to reviewing

#2 @poena
4 months ago

  • Resolution set to not-approved
  • Status changed from reviewing to closed

Hi!
Thank you for submitting your theme.
Your theme has been partially reviewed against these requirements:
https://make.wordpress.org/themes/handbook/review/required/

As part of the new theme directory guidelines, reviewers may now close tickets if a theme has 5 or more issues.
This is part of our long term goals to improve the theme quality and shorten the queues.

Please do not get discouraged by the ticket being closed. -We want you to resubmit your theme,
but we do ask that you spend more time making sure that your theme meets all the requirements.
https://make.wordpress.org/themes/handbook/review/required/
https://make.wordpress.org/themes/handbook/review/required/explanations-and-examples/
You can upload your update here: https://wordpress.org/themes/upload/

Because of the large number of themes waiting for review, we might not be able to follow up immediately.
We will review your update when your theme reaches the top of the review queue.

If you have questions you can ask them here or in the #themereview channel on Slack
channel.

Required:

I was not able to find license information for your commercial themes.
Theme shops should be selling under GPL to be in the WordPress.org repo.

Functionality
The following is plugin territory and not allowed in themes submitted to the directory:
Making changes to the TinyMCE Editor, like adding buttons.
Adding to or modifying user contact info options.

Customizer
No options or panels/sections can be locked behind a paywall.
Sections, panels and options that are only available in a pro version should not be visible in this version of the theme.
Do not add theme support only to remove it later in customizer.php: remove the code for the specific add_theme_support in functions.php instead.

You have added theme support for a html5 search form but also included a searchform.php: please select one.

README.md and readme.txt refers to undescores and needs to be updated (I suggest only keeping one of them. You can also validate your readme here: https://wordpress.org/plugins/developers/readme-validator/).

Rtl.css is commented out? Please update it.
Is the layouts folder used? Please remove any and all code, files or folders that are not used.
Why are there several blank templates?

Please delete one of the two screenshots.
The screenshot should not be a logo or mockup.

No minification of scripts or files unless you also provide original/non minified/human readable files.
Themes are required to use core-bundled scripts rather than including their own version of that script. For example jQuery and images loaded.
It looks like you are enqueuing the correct versions, but the files need to be removed from the theme folders as well.

All theme text strings are to be translatable. See header.php: “Menu”, but check all of your files to make sure.

Please remove one of the font facing credit links (there is one in the menu and one in the footer).
https://make.wordpress.org/themes/handbook/review/required/explanations-and-examples/#selling-credits-and-links

Results from the Theme sniffer plugin:
( https://github.com/WPTRT/theme-sniffer Background: https://make.wordpress.org/themes/2016/09/29/why-are-we-working-to-improve-the-automation-of-the-theme-review/)

qusq-lite/inc/mu-modules/customizer-enhancement/customizer-enhancement.php
146 ERROR Only variables can be passed to empty() prior to PHP 5.5.
152 ERROR Multiple placeholders should be ordered. Expected '%1$s, %2$s', but got %s, %s.
161 ERROR Multiple placeholders should be ordered. Expected '%1$s, %2$s', but got %s, %s.
qusq-lite/inc/template-tags.php
673 ERROR Multiple placeholders should be ordered. Expected '%1$d, %2$s', but got %d, %s.
675 ERROR Multiple placeholders should be ordered. Expected '%1$d, %2$s', but got %d, %s.
755 ERROR Short array syntax (open) is available since 5.4
755 ERROR Short array syntax (close) is available since 5.4
818 ERROR Overriding WordPress globals is prohibited
qusq-lite/scss/_colors.php
3 ERROR Closures / anonymous functions are not available in PHP 5.2 or earlier
qusq-lite/scss/shortcodes-styles/_colors-shortcodes.php
3 ERROR Closures / anonymous functions are not available in PHP 5.2 or earlier
qusq-lite/template-parts/single/single-portfolio-left.php
26 ERROR Function array dereferencing is not present in PHP version 5.3 or earlier
qusq-lite/template-parts/single/single-portfolio-right.php
26 ERROR Function array dereferencing is not present in PHP version 5.3 or earlier

Themes are not required to support php 5.2, but they must "fail gracefully". When I try activate the theme on a server using php 5, I get a fatal error.

@ishyoboy
3 months ago

#3 @ishyoboy
3 months ago

Hey, we fixed everything as you have described inside ticket #45866.
And in regard to licenses of our themes, we are selling all of our themes under GPL licenses.

Note: See TracTickets for help on using tickets.